# 运行环境env
if [[ X"$1" == X"" ]]; then
    echo "env cannot be empty"
    exit 1
fi

# 任务名称
if [[ X"$2" == X"" ]]; then
    echo "task_name cannot be empty"
    exit 1
fi

# 进程数
if [[ X"$3" == X"" ]]; then
    echo "worker number cannot be empty"
    exit 1
fi

start_done_file="/home/services/api.go2yd.com/logs/start_script.done"

rm -f ${start_done_file}

environment=${1}
#php.ini要根据环境去修改
if [[ X"${environment}" == X"prod" || X"${environment}" == X"prod_internal" ]];then
    sed -i "s#yaf.environ=dev#yaf.environ=prod#g" ini/php.ini
elif [[ X"${environment}" == X"perf" || X"${environment}" == X"perf_internal" ]];then
    sed -i "s#yaf.environ=dev#yaf.environ=perf#g" ini/php.ini
elif [[ X"${environment}" == X"test" || X"${environment}" == X"test_internal" ]];then
    sed -i "s#yaf.environ=dev#yaf.environ=test#g" ini/php.ini
fi

\cp -f ini/php.ini /etc/php.ini

rsyslogd >/dev/null 2>&1

#logrotate
cp -f /home/services/logrotate/logrotate-daemon.conf /etc/logrotate.d/goods-daemon.conf

#crontab
nohup /usr/sbin/crond >crond.nohup &
crontab /home/services/crontab/crontab-daemon.conf

# ls | grep -v 'tuiyitui.*\|ini\|recipe\|unify_start_script.sh' | xargs rm -rf

if [[ -e "/usr/share/zoneinfo/Asia/Shanghai" ]]; then
    ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
fi

# fix dir permissions
chmod -R 755 /home/services/api.go2yd.com/logs

sysctl -w net.core.somaxconn=65535

php api.go2yd.com/htdocs/Website/public/cli.php Daemon run "t=$2&n=$3&j=$2"


while true; do
    is_master_on=$(pgrep -fc "$2 $1 master process")
    if [[ ${is_master_on} -gt 0 ]]; then
        if [[ ! -f "$start_done_file" ]]; then
            touch ${start_done_file}
        fi
        sleep 10
        continue
    else
        exit 1
    fi
done
